Đến nội dung


Hình ảnh
- - - - -

[Hỏi] Dynamic Block (array pramenter)


  • Please log in to reply
4 replies to this topic

#1 conghoa

conghoa

    biết lệnh attdef

  • Members
  • PipPipPipPipPipPip
  • 412 Bài viết
Điểm đánh giá: 88 (tàm tạm)

Đã gửi 07 November 2013 - 03:10 PM

Mình có 1 Dynamic Block ở file dưới. 

http://www.cadviet.c...enter_array.dwg

 

-Vấn đề mình muốn hỏi là có thể lập trình lisp để thay đổi được khoảng cách của Array Action mà không phải dùng lệnh bedit để chỉnh bên trong block đó không?

-Nếu được thì giúp em làm lisp này với nhé!

 

Thanks All!


  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 07 November 2013 - 03:53 PM

Tham khảo:

;----- EX: (PutDynPropValue obj "Distance1" 100)
;; Changes a Dynamic Block Property Value
;; Args: obj ~ Dynamic Block VLA-Object
;; prop ~ Property Name
;; val ~ New Value
;; Returns: New Value (val)
(defun PutDynPropValue (obj prop val)
;; Lee Mac ~ 07.04.10
(mapcar
(function
(lambda (x)
(if (eq (strcase prop) (strcase (vla-get-propertyName x)))
(vla-put-value x
(vlax-make-variant val
(vlax-variant-type (vla-get-value x)))))))
(vlax-invoke obj 'GetDynamicBlockProperties)) val)
 

  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 07 November 2013 - 07:00 PM

Tham khảo:

 

;----- EX: (PutDynPropValue obj "Distance1" 100)
;; Changes a Dynamic Block Property Value
;; Args: obj ~ Dynamic Block VLA-Object
;; prop ~ Property Name
;; val ~ New Value
;; Returns: New Value (val)
(defun PutDynPropValue (obj prop val)
;; Lee Mac ~ 07.04.10
(mapcar
(function
(lambda (x)
(if (eq (strcase prop) (strcase (vla-get-propertyName x)))
(vla-put-value x
(vlax-make-variant val
(vlax-variant-type (vla-get-value x)))))))
(vlax-invoke obj 'GetDynamicBlockProperties)) val)
 

 

Cái này đâu có thay đổi được các khoảng cách của ARRAY ACTION (column offset) đâu bác.

Nó Chỉ thay đổi khoảng cách của cái "Distance1" mà thôi. 


  • 0

#4 conghoa

conghoa

    biết lệnh attdef

  • Members
  • PipPipPipPipPipPip
  • 412 Bài viết
Điểm đánh giá: 88 (tàm tạm)

Đã gửi 07 November 2013 - 08:10 PM

Các bác xem có chiêu nào chỉnh dc cái này giúp em nhé!
  • 0

#5 huaductiep

huaductiep

    biết vẽ rectang

  • Members
  • PipPip
  • 85 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 02 December 2013 - 11:00 AM

Cái này mình cũng mắc, mong các bác chỉ giúp :)


  • 0